package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.BattleEvent;
import com.caliverse.admin.domain.request.BattleEventRequest;

import java.util.List;
import java.util.Map;


public interface BattleMapper {

    List<BattleEvent> getBattleEventList(Map map);
    int getAllCnt(Map map);
    int getTotal();
    BattleEvent getBattleEventDetail(Long id);

    int chkTimeOver(BattleEventRequest battleEventRequest);

    int postBattleEvent(BattleEventRequest battleEventRequest);
    int updateBattleEvent(BattleEventRequest battleEventRequest);
    int deleteBattleEvent(Map map);

    int updateStatusBattleEvent(Map map);

    List<BattleEvent> getCheckBattleEventList(BattleEventRequest battleEventRequest);
    List<BattleEvent> getScheduleBattleEventList();
}
